# -*- coding: utf-8 -*-
from __future__ import unicode_literals
from django.contrib import admin
from newsbox.admin import NewsboxAdmin, NewsboxSEOAdmin, NewsboxExpiredAdmin

from .models import News, NewsSEO, NewsExpired, NewsComplete, NewsExtended


@admin.register(News)
class NewsAdmin(NewsboxAdmin):
    pass



@admin.register(NewsSEO)
class NewsSEOAdmin(NewsboxSEOAdmin):
    pass



@admin.register(NewsExpired)
class NewsExpiredAdmin(NewsboxExpiredAdmin):
    pass



@admin.register(NewsComplete)
class NewsCompleteAdmin(NewsboxSEOAdmin, NewsboxExpiredAdmin):
    pass



@admin.register(NewsExtended)
class NewsExtendedAdmin(NewsboxSEOAdmin, NewsboxExpiredAdmin):
    def get_fieldsets(self, request, obj=None):
        fieldsets = super(NewsExtendedAdmin, self).get_fieldsets(request, obj)
        fieldsets[0][1]['fields'].append('general_field')
        fieldsets[2][1]['fields'].append('content_field')
        fieldsets[3][1]['fields'].append('seo_field')
        return fieldsets

    def get_list_display(self, request):
        list_display = super(NewsExtendedAdmin, self).get_list_display(request)
        list_display.append('seo_field')
        return list_display

