# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.urls import include, path
from django.conf.urls.i18n import i18n_patterns
from django.contrib import admin
from newsbox.urls import get_urls
from newsbox_i18n.views import NewsboxI18NDetailView

# overwrites only the pagination
news_urls = get_urls(archive_view={'paginate_by': 1},
                     year_archive_view={'paginate_by': 1},
                     month_archive_view={'paginate_by': 1},
                     day_archive_view={'paginate_by': 1},
                     detail_view=NewsboxI18NDetailView)

admin.autodiscover()
urlpatterns = [path('admin/', include(admin.site.urls))] + i18n_patterns(*news_urls)
